#!/usr/bin/python3.11
# -*- coding: iso-8859-1 -*-


	
import requests
import json
import sys


 # On verfie la connection
 
timeout = 1

try:
	requests.head("http://www.google.com/", timeout=timeout)
	# Do something
	# print('The internet connection is active')
except requests.ConnectionError:
	# Do something
	# print("The internet connection is down")
	sys.exit()


	# on releve l'adresse IP

def get():
    endpoint = 'https://ipinfo.io/json'
    response = requests.get(endpoint, verify = True)

    if response.status_code != 200:
        return 'Status:', response.status_code, 'Problem with the request. Exiting.'
        exit()

    data = response.json()

    return data['ip']

	#obtenir mon IP
my_ip = get()

	# verification de l'adresse IP connue
	
import sys
mon_ip = "votre adresse ip public"
if my_ip == mon_ip:
	# print (my_ip)
	sys.exit()


	# on fait une capture de l'cran

import pyscreenshot
  
	# on capture l'cran
image = pyscreenshot.grab()

	# On affiche la capture de l'cran
# image.show()

  
	# on sauve la capture de l'cran
image.save("CaptEcran.png")


	# on capture une image depuis une webcam
  
	# importation de la bibliothque OpenCV
import cv2 as cv
  
	# initialiser la camra
cam_port = 0
cam = cv.VideoCapture(cam_port)
  
	# lire l'entre  l'aide de la camra
result, image = cam.read()
  
	# on sauve la capture de l'image
cv.imwrite("CaptWebCam.png", image)
 
	# On enregistra la date.
from datetime import datetime
date = datetime.today().strftime("%Y-%m-%d")
heure= datetime.today().strftime("%H:%M")

	# recherche sur la localisation
import requests

urlweb = 'http://ip-api.com/json/'
urlweb += my_ip 

r = requests.get(url= urlweb)

query = r.json()

	# on enregistre les donnes

codepays = query['countryCode'] 
pays = query['country']
ville = query['city']
region = query['regionName']
codepostal = query['zip']
fai = query['org']
faias = query['as'] 


	# pour l'envois l'email

	
    # Importer les modules nécessaires
import smtplib
from email.message import EmailMessage
from email.mime.image import MIMEImage
from email.mime.multipart import MIMEMultipart
from email.mime.text import MIMEText
from email.mime.base import MIMEBase
from email import encoders


	 # Crer un objet EmailMessage
msg = EmailMessage()

# attachment = "CaptEcran.png" 
# attachment = "CaptWebCam.png"

	# Définir le sujet, l'expéditeur et le destinataire
	
msg = MIMEMultipart()
msg["Subject"] = "Email de votre PC"
msg["From"] = "expediteur@free.fr"  # Entrez l'adresse de l"expditeur
msg["To"] = "destinataire@gmail.com"   # Entrez l'adresse du destinataire

msgText = MIMEText("Ceci est un e-mail envoy depuis votre PC, l'adresse ip est \""+ str(my_ip)+"\".")   
msg.attach(msgText) 
msgText = MIMEText("Ce rapport est etabli le "+ str(date) + ' a ' + str(heure)+".")   
msg.attach(msgText)
msgText = MIMEText("Le PC se trouve dans la vile \""+str(ville)+"\" le code postale est \""+str(codepostal)+"\" dans la region \""+str(region)+"\".")
msg.attach(msgText)
msgText = MIMEText("le code pays est \""+ str(codepays)+ "\" et le pays est \""+str(pays)+"\".")
msg.attach(msgText)
msgText = MIMEText(" Le fournisseur d'accs  internet est \"" +str(fai)+"\" \" "+str(faias)+"\".")
msg.attach(msgText)
msgText = MIMEText(" La localisation est obtenue avec l'adresse IP, elle peut ne peut pas tre exact.")
msg.attach(msgText)

attachment1 = "CaptEcran.png"

with open(attachment1, 'rb') as fp:
    img = MIMEImage(fp.read())
img.add_header('Content-ID', '<{}>'.format(attachment1))
msg.attach(img)

attachment2 = "CaptWebCam.png"

with open(attachment2, 'rb') as fp:
    img = MIMEImage(fp.read())
img.add_header('Content-ID', '<{}>'.format(attachment2))
msg.attach(img)

	# Se connecter au serveur SMTP
server = smtplib.SMTP_SSL("smtp.free.fr", 465)  # Entrez le nom du serveur et le port

	# S'authentifier avec son adresse et son mot de passe
server.login("login", "mot de passe")  # entrez le login et le mot de passe

	# Envoyer le message
server.send_message(msg)

	# Fermer la connexion
server.quit()
